> ## Documentation Index
> Fetch the complete documentation index at: https://docs.processzen.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workflow Run

> Creates a new workflow run based on a template and input fields



## OpenAPI

````yaml POST /create-workflow-run
openapi: 3.0.1
info:
  title: ProcessZen API
  description: API for managing workflow runs and templates in ProcessZen
  version: 1.0.0
servers:
  - url: http://processzen.io/api
security:
  - unkeyAuth: []
paths:
  /create-workflow-run:
    post:
      summary: Create a new workflow run
      description: Creates a new workflow run based on a template and input fields
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateWorkflowRunRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowRun'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CreateWorkflowRunRequest:
      type: object
      required:
        - workflow_template_id
        - input_fields
      properties:
        workflow_template_id:
          type: string
        input_fields:
          type: object
          additionalProperties:
            type: string
        user_assignments:
          type: object
          additionalProperties:
            type: string
          description: Map of page names to user IDs for assigning users to workflow pages
    WorkflowRun:
      type: object
      properties:
        id:
          type: string
        organization_id:
          type: string
        template_id:
          type: string
        status:
          type: string
        run_json:
          type: object
        last_activity:
          type: string
          format: date-time
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    unkeyAuth:
      type: apiKey
      in: header
      name: Authorization

````